
# Ashfall #

Ashfall is a survival, camping and needs mod for Morrowind. It uses the latest in MWSE Lua scripting functionality to implement a wide range of mechanics that integrate seamlessly into the game and provide a truly immersive experience. Build campfires, pitch tents, battle the elements, all while managing your thirst, hunger and tiredness. 

See the [wiki](https://github.com/jhaakma/ashfall/wiki) for more information.

## Installation ##

### Requirements:
- GOTY Morrowind or vanilla with Bloodmoon and Tribunal
- Morrowind Code Patch, with Animation Support setting enabled
- Vanilla real-time shadows disabled
- [MGE XE](https://www.nexusmods.com/morrowind/mods/41102)
- [Skills Module](https://www.nexusmods.com/morrowind/mods/46034)

### Instructions:
Unzip into the Morrowind folder or use a mod installer (Wrye Mash or MO2 recommended).

To check that it has installed correctly: start Morrowind, open the Mod Config Menu and check for an Ashfall in the MCM list. If there is no Ashfall entry or no Mod Config Menu button something has gone wrong. See [[Troubleshooting|Troubleshooting]] for how to resolve these issues. 

## How to Play

### 1. Acquire Camping Gear

Many traders around Vvardenfell sell camping gear. If you are using an alternate start mod such as CREL, and you want to start the game with a basic set of camping gear, select the **Start New Games with Survival Gear** option in the MCM.

At the very least, you will want an axe for harvesting wood, a bedroll to sleep in, something to boil water in (i.e a kettle or cooking pot), and something to cook with (a cooking pot or grill). If you are planning on heading into very cold or wet areas, you may need a tent. And if you find yourself over-encumbered with all this camping equipment, you can purchase a backpack. 

### 2. Harvest Firewood

You can harvest firewood using any axe, although the wood axe is more effective than war axes, and will not get damaged from chopping wood as quickly.

To harvest firewood, simply equip an axe, run up to a tree and swing at it. You must be in the wilderness (i.e, outside where it is legal to rest), and you must use the **chop** swing type (by standing still while attacking). The stronger the weapon damage, and the further you draw back your swing, the less swings it will take to harvest wood. The higher your survival skill, the more firewood you will harvest each time.

### 3. Collect Water

You can store water in any bottle, flask, jug or pitcher. Dirty water can be collected from waterfalls and any open body of water by looking at them and activating while you have an empty vessel in your inventory. Clean water can be collected from wells, purchased from Publicans for a small fee, or by looking directly up while outside in the rain and activating.

### 4. Gather Food

Meat and vegetables are great sources of nutrition, although meat needs to be cooked before being eaten, or you risk getting food poisoning. You can also purchase hot meals from Publicans for a small fee. 

### 5. Set up Camp

While in the wilderness, place down a piece of firewood and activate it, and it will turn into a campfire. Activate it again to enter the campfire menu. Add more firewood, light the fire, and if you have a cooking pot or grill, use an additional 3 firewood to add supports so you can attach them. 

To set up your tent, do the same: drop the tent on the ground and activate. Place your bedroll inside in preparation for sleeping. 

### 6. Boil Water

If you have dirty water that needs boiling, add supports to your campfire using 3 firewood, then attach either a kettle or cooking pot. Fill it with water and wait for it to boil, then fill your containers up with the now clean water. 

### 7. Cook Dinner

If you bought a grill, attach it to the campfire via the campfire menu. To grill food, place it directly onto the grill while the campfire is lit. It will cook over time, and turn brown when fully cooked. Leave it too long and it will burn, decreasing its nutrition value. 

If you have a cooking pot instead, attach it to the campfire (add supports with 3 additional wood if you haven't already), then look at the pot and activate again. Fill the pot with water, then add ingredients. The ingredients you add determine what buffs you will get when you eat the stew. The stew will only begin to cook once the water starts boiling. Once it is fully cooked it can be eaten or stored in a pot for later. 

### 8. Go to Sleep

You can either keep the fire going to keep you warm through the night, or extinguish it to save some fuel to cook breakfast the next morning. Enter your tent if you have one, and activate the bedroll. 

## Features ##

### Hunger, Thirst and Tiredness mechanics

* Eat cooked food to recover hunger
    
* Water can be obtained from lakes, streams, waterfalls, rain, wells, or purchased from innkeepers

* Store water in any bottle, jug or flask to drink later

* Sleep in beds and portable bedrolls to recover sleep


### Temperature Mechanics

* Region, weather, time of day

* Shelter system detects when you are exposed to sunlight

* Nearby objects such as lava and flames radiate heat

* Clothing and Armor provide warmth and coverage

* Fire/Frost resistance/weakness affect temperature

* Wetness increases rate of temp change


### New items

* Tents

* Bedrolls

* Cooking equipment


### New Survival Skill

* Fully integrated using the Skills Module

* Levels up by cooking, harvesting firewood, and withstanding extreme temperatures


### Campfire and Cooking Mechanics: 

* Use axes to harvest firewood from trees
    
* Build campfires
    
* Use cooking pots to boil water, make stews
    
* Use kettles to brew tea, over 20 different kinds of tea with unique buffs/effects

* Use a grill to cook meat. Watch meat visible turn brown as it cooks

### Disease mechanics: 

* Catch blight from blight storms, wear clothing and face covers to minimise the risk
    
* Catch the flu when stuck in cold weather
    
* Get food poisoning from raw meat, cook on a grill to make meat safe to eat
    
* Get dysentery from dirty water, boil in a cooking pot to make it safe to drink
    
* Catch diseases from eating meat harvested from diseased/blighted animals