local this = {}
local config = require("mer.ashfall.config").config
local conditions = require("mer.ashfall.conditions.conditionConfig")

this.tooltipColor = {
    138 / 255,
    201 / 255,
    71 / 225
}
this.teaTypes = {}
--West Gash, Ashlands
this.teaTypes["ingred_bittergreen_petals_01"] = {
    teaName = "  ",
    teaDescription = "          .",
    effectDescription = "   20 .",
    priceMultiplier = 5.0,
    duration = 3,
    spell = {
        id = "ashfall_tea_bittergreen",
        effects = {
            {
                id = tes3.effect.fortifyMagicka,
                amount = 20
            }
        }
    }
}

--Ascadian Isles, Azura's Coast
this.teaTypes["ingred_black_anther_01"] = {
    teaName = "   ",
    teaDescription = "      ,   ,      ,  .",
    effectDescription = " 5 .",
    priceMultiplier = 5.0,
    duration = 2,
    spell = {
        id = "ashfall_tea_anther",
        effects = {
            {
                id = tes3.effect.light,
                amount = 5
            }
        }
    }
}

--West Gash
this.teaTypes["ingred_chokeweed_01"] = {
    teaName = "  ",
    teaDescription = "      .     ,    .",
    effectDescription = "   30 .",
    priceMultiplier = 5.0,
    duration = 4,
    spell = {
        id = "ashfall_tea_chokeweed",
        effects = {
            {
                id = tes3.effect.resistCommonDisease,
                amount = 30
            }
        }
    }
}


--Ascadian Isles, Azura's Coast
this.teaTypes["ingred_gold_kanet_01"] = {
    teaName = "  ",
    teaDescription = ",     ,  ,   .",
    effectDescription = "  5 .",
    priceMultiplier = 5.0,
    duration = 3,
    spell = {
        id = "ashfall_tea_goldKanet",
        effects = {
            {
                id = tes3.effect.fortifyAttribute,
                attribute = tes3.attribute.strength,
                amount = 5
            }
        }
    }
}


--Ascadian Isles
this.teaTypes["ingred_heather_01"] = {
    teaName = "  ",
    teaDescription = "  -   ,   .",
    effectDescription = " 5 .",
    priceMultiplier = 5.0,
    duration = 4,
    spell = {
        id = "ashfall_tea_heather_v2",
        effects = {
            {
                id = tes3.effect.sanctuary,
                amount = 5
            }
        }
    }
}

--West Gash, Ascadian Isles, Azura's Coast, Sheogorad
this.teaTypes["ingred_stoneflower_petals_01"] = {
    teaName = "  ",
    teaDescription = "        .",
    effectDescription = "  10 .",
    priceMultiplier = 5.0,
    duration = 3,
    spell = {
        id = "ashfall_tea_stoneflower",
        effects = {
            {
                id = tes3.effect.fortifySkill,
                skill = tes3.skill.speechcraft,
                amount = 10
            }
        }
    }
}


--Solstheim
this.teaTypes["ingred_belladonna_01"] = {
    teaName = "  ",
    teaDescription = "      ,     .",
    effectDescription = "  15 .",
    priceMultiplier = 5.0,
    duration = 4,
    spell = {
        id = "ashfall_tea_bella",
        effects = {
            {
                id = tes3.effect.resistMagicka,
                amount = 15
            }
        }
    }
}

--Solstheim
this.teaTypes["ingred_belladonna_02"] = {
    teaName = "  ",
    teaDescription = "      ,     .      .",
    effectDescription = "  10 .",
    priceMultiplier = 5.0,
    duration = 3,
    spell = {
        id = "ashfall_tea_bella",
        effects = {
            {
                id = tes3.effect.resistMagicka,
                amount = 10
            }
        }
    }
}

--Bitter Coast
this.teaTypes["ingred_bc_coda_flower"] = {
    teaName = "   ",
    teaDescription = "       ,     .",
    effectDescription = "  50 .",
    priceMultiplier = 5.0,
    duration = 3,
    spell = {
        id = "ashfall_tea_coda",
        effects = {
            {
                id = tes3.effect.detectAnimal,
                amount = 50
            }
        }
    }
}

--Survival effects---------------


--Azura's Coast, West Gash, Sheogorad
this.teaTypes["ingred_kresh_fiber_01"] = {
    teaName = "  -",
    teaDescription = "  -  ,        .",
    effectDescription = "  ",
    priceMultiplier = 5.0,
    onCallback = function()
        conditions.foodPoison:setValue(conditions.foodPoison:getValue() - 50)
    end
}

--West Gash - exclusively
this.teaTypes["ingred_roobrush_01"] = {
    teaName = "  ",
    teaDescription = "   ,         .",
    effectDescription = " ",
    priceMultiplier = 5.0,
    onCallback = function()
        conditions.dysentery:setValue(conditions.dysentery:getValue() - 50)
    end
}

--Ascadian Isles - exclusively - used for alcohol
this.teaTypes["ingred_comberry_01"] = {
    teaName = "  ",
    teaDescription = ",    ,      .",
    effectDescription = " ",
    priceMultiplier = 5.0,
    onCallback = function()
        conditions.flu:setValue(conditions.flu:getValue() - 50)
    end,
}

--Ashlands, dry regions
this.teaTypes["ingred_scathecraw_01"] = {
    teaName = "  ",
    teaDescription = "       .",
    effectDescription = "   40 .",
    priceMultiplier = 5.0,
    duration = 4,
    spell = {
        id = "ashfall_tea_scathecraw",
        effects = {
            {
                id = tes3.effect.resistBlightDisease,
                amount = 40
            }
        }
    }
}


--Ashlands, Molar Amur
this.teaTypes["ingred_fire_petal_01"] = {
    teaName = "   ",
    teaDescription = "    -   ,     .",
    effectDescription = "    20%",
    priceMultiplier = 5.0,
    duration = 4,
    onCallback = function()
        tes3.player.data.Ashfall.firePetalTeaEffect = 0.80
    end,
    offCallback = function()
        tes3.player.data.Ashfall.firePetalTeaEffect = nil
    end,
}

--Solstheim
this.teaTypes["ingred_holly_01"] = {
    teaName = "   ",
    teaDescription = ",  ,           .",
    effectDescription = "    10%",
    priceMultiplier = 5.0,
    duration = 4,
    onCallback = function()
        tes3.player.data.Ashfall.hollyTeaEffect = 0.9
    end,
    offCallback = function()
        tes3.player.data.Ashfall.hollyTeaEffect = nil
    end,
}



--Grazelands
this.teaTypes["ingred_hackle-lo_leaf_01"] = {
    teaName = "  ",
    teaDescription = "   ,    .",
    effectDescription = "  25%",
    priceMultiplier = 5.0,
    duration = 5,
    onCallback = function()
        tes3.player.data.Ashfall.hackloTeaEffect = 0.75
    end,
    offCallback = function()
        tes3.player.data.Ashfall.hackloTeaEffect = nil
    end
}

--Ashlands, Molag Amur,
this.teaTypes["ingred_trama_root_01"] = {
    teaName = "   ",
    teaDescription = "      .     -   .",
    effectDescription = "  1.5x",
    priceMultiplier = 5.0,
    duration = 8,
    onCallback = function()
        tes3.player.data.Ashfall.tramaRootTeaEffect = 1.5
    end,
    offCallback = function()
        tes3.player.data.Ashfall.tramaRootTeaEffect = nil
    end
}

this.teaTypes["ingred_moon_sugar_01"] = {
    teaName = "   ",
    teaDescription = " ,    ,    ,  Skooma,   .    , ,   ,     .",
    effectDescription = " ",
    priceMultiplier = 5.0,
    duration = 4,
    onCallback = function()
        local currentTiredness = conditions.tiredness:getValue()
        tes3.player.data.Ashfall.coffeePrevTiredness = currentTiredness
        conditions.tiredness:setValue(0)
    end,
    offCallback = function()
        local previousTiredness = tes3.player.data.Ashfall.coffeePrevTiredness
        if previousTiredness then
            local sleepLossRate = config.loseSleepRate
            local penalty = sleepLossRate * tes3.player.data.Ashfall.teaBuffTimeLeft * 0.8
            conditions.tiredness:setValue( previousTiredness + penalty)
            tes3.player.data.Ashfall.coffeePrevTiredness = nil
        end
    end
}


--Mournhold teas----------------

--Mournhold
this.teaTypes["ingred_golden_sedge_01"] = {
    teaName = "   ",
    teaDescription = "        .",
    effectDescription = "  10 ",
    priceMultiplier = 5.0,
    duration = 3,
    spell = {
        id = "ashfall_tea_goldSedge",
        effects = {
            {
                id = tes3.effect.fortifyAttack,
                amount = 10
            }
        }
    }
}

--Mournhold
this.teaTypes["ingred_meadow_rye_01"] = {
    teaName = "   ",
    teaDescription = ",    -   ,   .",
    effectDescription = "  5 .",
    priceMultiplier = 5.0,
    duration = 4,
    spell = {
        id = "ashfall_tea_meadowRye",
        effects = {
            {
                id = tes3.effect.fortifyAttribute,
                attribute = tes3.attribute.speed,
                amount = 5
            }
        }
    }
}

--Mournhold
this.teaTypes["ingred_noble_sedge_01"] = {
    teaName = "   ",
    teaDescription = ",   ,      .",
    effectDescription = "  10 .",
    priceMultiplier = 5.0,
    duration = 4,
    spell = {
        id = "ashfall_tea_nobleSedge",
        effects = {
            {
                id = tes3.effect.fortifyAttribute,
                attribute = tes3.attribute.agility,
                amount = 10
            }
        }
    }
}

--Mournhold
this.teaTypes["ingred_timsa-come-by_01"] = {
    teaName = "   ",
    teaDescription = ",     ,     .",
    effectDescription = "  40 .",
    priceMultiplier = 5.0,
    duration = 4,
    spell = {
        id = "ashfall_tea_timsa",
        effects = {
            {
                id = tes3.effect.resistParalysis,
                amount = 40
            }
        }
    }
}


this.validTeas = {}
for ingredId, _ in pairs(this.teaTypes) do
    --if tes3.getObject(ingredId) then
        table.insert(this.validTeas, ingredId)
    --end
end



return this